## geneagrapher 1.0c2+git20180919

=== requirements.txt ===
beautifulsoup4==4.6.3
lxml==4.2.5
