## geneagrapher 1.0c2%2Bgit20180919

=== debian/control ===
Source: geneagrapher
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Doug Torrance <dtorrance@piedmont.edu>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3,
 python3-bs4,
 python3-lxml,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/davidalber/Geneagrapher
Vcs-Browser: https://salsa.debian.org/science-team/geneagrapher
Vcs-Git: https://salsa.debian.org/science-team/geneagrapher.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: geneagrapher
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 graphviz
Description: Create tree from Mathematics Genealogy Project
 The Mathematics Genealogy Grapher (Geneagrapher) is a software tool to gather
 the information for building math genealogy trees with data from the
 Mathematics Genealogy Project. The information extracted is stored in dot file
 format, which can then be passed to Graphviz to generate a graph.
