## geneagrapher 1.0c2%2Bgit20200719

=== debian/changelog ===
geneagrapher (1.0c2+git20200719-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Reformat using wrap-and-sort
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.6.0.
    - Drop Testsuite field; not using autodep8.
    - Add python3-pkg-resources to Depends; pkg_resources is imported by
      geneagrapher.
  * debian/patches
    - Refresh and remove patches applied upstream.
  * debian/patches/remove-shelve-database-files.patch
    - New patch; remove shelve database files regardless of extension.
  * debian/patches/skip-network-tests.patch
    - Add Forwarded field (not-needed).
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/test/control
    - New DEP-8 autopkgtest control file; includes a small test to check
      that we can fetch Euler's tree data.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 25 Aug 2021 00:49:56 -0400

geneagrapher (1.0c2+git20180919-2) unstable; urgency=medium

  * Team upload.
  * Port to Python 3 (Closes: #936596).
  * Use debhelper-compat (= 12).
  * Add Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Feb 2020 14:56:53 +1100

geneagrapher (1.0c2+git20180919-1) unstable; urgency=medium

  * New upstream release (git snapshot).
    - Port to Beautiful Soup 4 (Closes: #891107).
  * debian/clean
    - Remove distribute files, as distribute is no longer used.
    - Update path to egg files.
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Add dh-python, python-bs4, and python-lxml to Build-Depends.
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.2.1.
    - Update Homepage.
    - Update Vcs-* after move to Salsa.
    - Add DEP-8 testsuite.
  * debian/copyright
    - Use https in Format.
    - Remove entries for the now-deleted file bootstrap.py and the
      corresponding ZPL-2.1 license.
  * debian/docs
    - README.rst was renamed to README.md.
  * debian/patches/dont_download_distribute.patch
    - Remove patch; distribute is no longer used during build.
  * debian/patches/include-test-data.patch
    - New patch; include test data files.
  * debian/patches/skip-network-tests.patch
    - New patch; skip all tests requiring network connection.
  * debian/rules
    - Use pybuild.
    - Remove get-orig-source target.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.
  * debian/watch
    - Bump to uscan v4.
    - Use git mode to generate version number.  In particular, we use
      1.0c2+git%cd, as upstream has not released a new version since
      1.0c2, but has been pushing new commits to git.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 20 Sep 2018 16:47:01 -0400

geneagrapher (1.0c2+git20120704-2) unstable; urgency=medium

  * debian/{control,copyright,ggrapher.1,patches}
    - Update my email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 03 Sep 2015 23:03:22 -0400

geneagrapher (1.0c2+git20120704-1) unstable; urgency=medium

  * Initial release (Closes: #779983).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 07 Mar 2015 08:37:35 -0600
