=== debian/watch ===
version=3
https://github.com/davidalber/Geneagrapher/tags .*/v?(\d\S*)\.tar\.gz
