## geneagrapher 1.0c2+git20180919

=== debian/watch ===
version=4
opts="mode=git, pretty=1.0c2+git%cd" \
https://github.com/davidalber/Geneagrapher HEAD
