=== debian/tests/control ===
Test-Command: ggrapher 38586 | grep Euler
Restrictions: needs-internet
