## geneagrapher 1.0c2+git20220208

=== debian/changelog ===
geneagrapher (1.0c2+git20220208-2) unstable; urgency=medium

  * Source-only upload for transition to testing.
  * debian/control
    - Add dh-sequence-python3 to Build-Depends.
  * debian/rules
    - Drop "--with python3"; not necessary now that we have
      dh-sequence-python3 in Build-Depends.
    - Add new DB_FILES Makefile variable to simplify code.
  * debian/upstream/metadata
    - Add "---" for document start.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 05 Mar 2022 21:33:38 -0500

geneagrapher (1.0c2+git20220208-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/clean
    - Clean up generated README.html
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update my email address (now a Debian Developer).
    - Add cmark-gfm to Build-Depends for generating html README.
    - Add db-util and libdb1-compat to Build-Depends; needed for updating
      database files for tests.
    - Update Vcs-* fields (science-team -> math-team).
    - Add Testsuite field for autodep8 test.
    - Split into two binary packages: geneagrapher for the command-line
      tool and python3-geneagrapher for the Python module.
  * debian/copyright
    - Update my copyright years and email address.
  * debian/docs
    - Install html version of README and accompanying images.
  * debian/*.install
    - Add files for dh_install to install the correct files in each binary
      package.
  * debian/patches/skip-network-tests.patch
    - Rewrite so that we only skip the network tests if the environment
      variable SKIP_NETWORK_TESTS is set to true.  This way, we can run
      them with autopkgtest.
  * debian/rules
    - Export SKIP_NETWORK_TESTS environment variable so we skip the tests
      requiring network access during build.
    - Generate html version of README.
    - Update database files from legacy format when running tests
  * debian/tests/control
    - Add test name for existing test.
    - Add unit tests.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 02 Mar 2022 12:35:31 -0500
