## geneagrapher 1.0c2+git20220519

=== debian/changelog ===
geneagrapher (1.0c2+git20220519-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.6.1.
  * debian/gbp.conf
    - New file; set debian-branch to debian/latest; recommended by DEP-14.
  * debian/rules
    - Stop updating database files during build; updated files are now
      shipped upstream.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 19 May 2022 22:08:23 -0400
