=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-bs4,
                python3-lxml,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/davidalber/Geneagrapher
 Vcs-Browser: https://salsa.debian.org/math-team/geneagrapher
 Vcs-Git: https://salsa.debian.org/math-team/geneagrapher.git
