=== debian/rules ===
#!/usr/bin/make -f

# for d/p/skip-network-tests.patch
export SKIP_NETWORK_TESTS = true

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build: README.html

README.html: README.md
	cmark-gfm $< > $@
endif
