=== debian/tests/control ===
Test-Command: ggrapher 38586 | grep Euler
Restrictions: needs-internet
Features: test-name=cli-smoke-test

Test-Command: debian/rules execute_before_dh_auto_test &&
	      cp -r tests $AUTOPKGTEST_TMP &&
	      cd $AUTOPKGTEST_TMP &&
	      python3 -m unittest
Depends: db-util, debhelper, libdb1-compat, python3-gdbm, python3-geneagrapher
Restrictions: needs-internet, allow-stderr
Features: test-name=unittest
