=== debian/changelog ===
geneagrapher (2.0.0-2) unstable; urgency=medium

  * debian/control
    - Add python3-pytest-asyncio to Build-Depends (Closes: #1114121).
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 15 Sep 2025 23:27:41 -0400

geneagrapher (2.0.0-1) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 11 Jun 2023 09:10:23 -0400

geneagrapher (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to bookworm freeze.
  * debian/clean
    - Clean all html files, not just README.html (so essentially, also
      clean CHANGELOG.html).
  * debian/control
    - Drop db-util and libdb1-compat from Build-Depends; we no longer need
      to update the database files for the tests to pass.
    - Remove python3-bs4 and python3-lxml from Build-Depends; these
      dependencies have been moved from geneagrapher to geneagrapher-core.
    - Drop python3-setuptools from Build-Depends; replaced by
      pybuild-plugin-pyproject and python3-poetry-core.
    - Add python3-pytest and python3-websockets to Build-Depends; needed
      for tests.
    - Bump Standards-Version to 4.6.2.
    - Switch Testsuite to autopkgtest-pkg-pybuild.
    - Drop python3-pkg-resources from Depends; no longer used.
  * debian/docs
    - Install CHANGELOG.html instead of HACKING.txt and NEWS.txt, both of
      which were removed.
  * debian/patches
    - Remove patches that are no longer necessary.
      + remove-shelve-database-files.patch
      + skip-network-tests.patch
  * debian/patches/privacy-breach-generic.patch
    - New patch; use local images in README to fix privacy-breach-generic
      Lintian warning.
  * debian/rules
    - Stop setting variable for use by skip-network-tests.patch; it was
      removed.
    - Build CHANGELOG.html using cmark-gfm.
  * debian/tests/control
    - Remove unittest; now taken care of by pybuild.
    - Add ":a" flag to get Euler's ancestors for autopkgtest.
    - Use -q so progress bar isn't output to stderr.
  * debian/watch
    - Update; upstream is tagging releases again.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 13 May 2023 06:32:37 -0400
