=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: cmark-gfm <!nodoc>,
-               db-util <!nocheck>,
                debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
-               libdb1-compat <!nocheck>,
+               pybuild-plugin-pyproject,
                python3,
-               python3-bs4,
-               python3-lxml,
-               python3-setuptools
-Standards-Version: 4.6.1
+               python3-poetry-core,
+               python3-pytest <!nocheck>,
+               python3-websockets <!nocheck>,
+               python3-pytest-asyncio <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://github.com/davidalber/Geneagrapher
 Vcs-Browser: https://salsa.debian.org/math-team/geneagrapher
 Vcs-Git: https://salsa.debian.org/math-team/geneagrapher.git
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: geneagrapher
 Architecture: all
@@ -36,7 +36,7 @@
 Package: python3-geneagrapher
 Section: python
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: graphviz
 Breaks: geneagrapher (<< 1.0c2+git20220208-1)
 Replaces: geneagrapher (<< 1.0c2+git20220208-1)
