=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build: README.html CHANGELOG.html

%.html: %.md
	cmark-gfm $< > $@
endif
